#module imports
from fielddisplay import fielddisplay

class surfaceforcings:
	#properties
	def __init__(self):
		# {{{ Properties
		self.precipitation = float('NaN')
		self.mass_balance  = float('NaN')

		#set defaults
		self.setdefaultparameters()

		#}}}
	def __repr__(obj):
		# {{{ Display
		string="   surface forcings parameters:"

		string="%s\n\n%s"%(string,fielddisplay(obj,'precipitation','surface precipitation [m/yr water eq]'))
		string="%s\n%s"%(string,fielddisplay(obj,'mass_balance','surface mass balance [m/yr ice eq]'))

		return string
		#}}}
		
	def setdefaultparameters(obj):
		# {{{setdefaultparameters
		return obj
	#}}}

